zenilib: zenilib/jni/external/openal-soft/OpenAL32/Include/alFilter.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
alFilter.h File Reference
`#include "alMain.h"`

Go to the source code of this file.

## Classes

struct | ALfilter
struct | FILTER

## Macros

#define | ALfilter_GetParamf(x, c, p, v) ((x)->GetParamf((x),(c),(p),(v)))
#define | ALfilter_GetParamfv(x, c, p, v) ((x)->GetParamfv((x),(c),(p),(v)))
#define | ALfilter_GetParami(x, c, p, v) ((x)->GetParami((x),(c),(p),(v)))
#define | ALfilter_GetParamiv(x, c, p, v) ((x)->GetParamiv((x),(c),(p),(v)))
#define | ALfilter_SetParamf(x, c, p, v) ((x)->SetParamf((x),(c),(p),(v)))
#define | ALfilter_SetParamfv(x, c, p, v) ((x)->SetParamfv((x),(c),(p),(v)))
#define | ALfilter_SetParami(x, c, p, v) ((x)->SetParami((x),(c),(p),(v)))
#define | ALfilter_SetParamiv(x, c, p, v) ((x)->SetParamiv((x),(c),(p),(v)))
#define | LOWPASSFREQREF (5000)

## Typedefs

typedef struct ALfilter | ALfilter

## Functions

ALfloat | lpCoeffCalc (ALfloat g, ALfloat cw)
static __inline ALfloat | lpFilter2P (FILTER *iir, ALuint offset, ALfloat input)
static __inline ALfloat | lpFilter2PC (const FILTER *iir, ALuint offset, ALfloat input)
ALvoid | ReleaseALFilters (ALCdevice *device)

## Macro Definition Documentation

#define ALfilter_GetParamf | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->GetParamf((x),(c),(p),(v)))

Definition at line 81 of file alFilter.h.

Referenced by alGetFilterf().

#define ALfilter_GetParamfv | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->GetParamfv((x),(c),(p),(v)))

Definition at line 82 of file alFilter.h.

Referenced by alGetFilterfv().

#define ALfilter_GetParami | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->GetParami((x),(c),(p),(v)))

Definition at line 79 of file alFilter.h.

Referenced by alGetFilteri().

#define ALfilter_GetParamiv | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->GetParamiv((x),(c),(p),(v)))

Definition at line 80 of file alFilter.h.

Referenced by alGetFilteriv().

#define ALfilter_SetParamf | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->SetParamf((x),(c),(p),(v)))

Definition at line 76 of file alFilter.h.

Referenced by alFilterf().

#define ALfilter_SetParamfv | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->SetParamfv((x),(c),(p),(v)))

Definition at line 77 of file alFilter.h.

Referenced by alFilterfv().

#define ALfilter_SetParami | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->SetParami((x),(c),(p),(v)))

Definition at line 74 of file alFilter.h.

Referenced by alFilteri().

#define ALfilter_SetParamiv | ( |  | x,
|  |  | c,
|  |  | p,
|  |  | v
| ) |  | ((x)->SetParamiv((x),(c),(p),(v)))

Definition at line 75 of file alFilter.h.

Referenced by alFilteriv().

#define LOWPASSFREQREF (5000)

Definition at line 10 of file alFilter.h.

Referenced by CalcNonAttnSourceParams(), CalcSourceParams(), EchoUpdate(), and ReverbUpdate().

## Typedef Documentation

typedef struct ALfilter ALfilter

## Function Documentation

ALfloat lpCoeffCalc | ( | ALfloat | g,
|  | ALfloat | cw
| ) |  |

Definition at line 329 of file alFilter.c.

References maxf().

Referenced by CalcDampingCoeff(), CalcNonAttnSourceParams(), CalcSourceParams(), EchoUpdate(), and ReverbUpdate().

static __inline ALfloat lpFilter2P | ( | FILTER * | iir,
|  | ALuint | offset,
|  | ALfloat | input
| ) |  |

static

Definition at line 21 of file alFilter.h.

References FILTER::coeff, FILTER::history, and sort_controllers::output.

Referenced by EAXVerbPass(), EchoProcess(), Filter2P(), and VerbPass().

static __inline ALfloat lpFilter2PC | ( | const FILTER * | iir,
|  | ALuint | offset,
|  | ALfloat | input
| ) |  |

static

Definition at line 35 of file alFilter.h.

References FILTER::coeff, FILTER::history, and sort_controllers::output.

Referenced by Filter2P().

ALvoid ReleaseALFilters | ( | ALCdevice * | device | ) |

Definition at line 424 of file alFilter.c.

References UIntMap::array, ALCdevice_struct::FilterMap, free, FreeThunkEntry(), i, ALfilter::id, memset, NULL, UIntMap::size, and UIntMap::value.

Referenced by FreeDevice().